eu.smoser.dungeongenerator.dungeon

## Enum Dungeon.Mode

- java.lang.Object
- - java.lang.Enum<Dungeon.Mode>
  - - eu.smoser.dungeongenerator.dungeon.Dungeon.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Dungeon.Mode>

Enclosing class:
  Dungeon

    public static enum Dungeon.Mode
    extends java.lang.Enum<Dungeon.Mode>

Different room generation sequence modes

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BRANCHED` FIFO - branched dungeon
`RANDOM` Random - balanced dungeon
`STRAIGHT` FILO - straight dungeon

### Method Summary

All Methods Static Methods Concrete Methods
`static Dungeon.Mode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Dungeon.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRAIGHT

    public static final Dungeon.Mode STRAIGHT

FILO - straight dungeon

#### BRANCHED

    public static final Dungeon.Mode BRANCHED

FIFO - branched dungeon

#### RANDOM

    public static final Dungeon.Mode RANDOM

Random - balanced dungeon

### Method Detail

#### values

    public static Dungeon.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Dungeon.Mode c : Dungeon.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Dungeon.Mode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null